Subject: bug#33711: configure --host=aarch64 produces x86-64 binary

From: Erik van Velzen <[email-masked]>
Date: Tue, 11 Dec 2018 22:07:00 +0100

I compiled https://github.com/json-c/json-c using the command `sh
autogen.sh && ./configure --host=aarch64 && make`. Unexpectedly this
creates an x64 binary.

The correct argument in my case is --host=aarch64-linux-gnu

I think this should be an error. Currently, there is only the output
"checking for aarch64-gcc... no" but this does not abort. So the error
is postponed until the binary is actually used.

If I give --host=gibberish I do get an error as expected:

"checking host system type... Invalid configuration `gibberish':
machine `gibberish' not recognized"

Thanks for your work GNU people,

Erik van Velzen